package ch.hslu.appe.order.webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import ch.hslu.appe.usermanagement.webservice.AddressDto;
import ch.hslu.appe.usermanagement.webservice.UserDto;

/**
 * This object contains factory methods for each Java content interface and Java element interface generated in the
 * ch.hslu.appe.order.webservice package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content.
 * The Java representation of XML content can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in
 * this class.
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SubmitOrder_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "submitOrder");
    private final static QName _SubmitOrderResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "submitOrderResponse");
    private final static QName _UpdatePositionResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "updatePositionResponse");
    private final static QName _ReleaseOrderResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "releaseOrderResponse");
    private final static QName _GetOrderResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "getOrderResponse");
    private final static QName _IllegalNameException_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "IllegalNameException");
    private final static QName _SetStatusResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "setStatusResponse");
    private final static QName _DeletePosition_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "deletePosition");
    private final static QName _AddPosition_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "addPosition");
    private final static QName _UpdateOrder_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "updateOrder");
    private final static QName _GetStatus_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "getStatus");
    private final static QName _AnnulateOrder_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "annulateOrder");
    private final static QName _GetStatusResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "getStatusResponse");
    private final static QName _UpdatePosition_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "updatePosition");
    private final static QName _CreateOrder_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "createOrder");
    private final static QName _GetOrders_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "getOrders");
    private final static QName _GetOrder_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "getOrder");
    private final static QName _CreateOrderResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "createOrderResponse");
    private final static QName _DeletePositionResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "deletePositionResponse");
    private final static QName _GetOrdersResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "getOrdersResponse");
    private final static QName _GetActiveOrderResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "getActiveOrderResponse");
    private final static QName _SOAPException_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "SOAPException");
    private final static QName _SetStatus_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "setStatus");
    private final static QName _OrderException_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "OrderException");
    private final static QName _AnnulateOrderResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "annulateOrderResponse");
    private final static QName _OrderNotExistsException_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "OrderNotExistsException");
    private final static QName _UpdateOrderResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "updateOrderResponse");
    private final static QName _AddPositionResponse_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "addPositionResponse");
    private final static QName _ReleaseOrder_QNAME = new QName("http://webservice.order.appe.hslu.ch/", "releaseOrder");
    private final static QName _GetActiveOrder_QNAME = new QName("http://webservice.order.appe.hslu.ch/",
            "getActiveOrder");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package:
     * ch.hslu.appe.order.webservice
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AddPosition }
     */
    public AddPosition createAddPosition() {
        return new AddPosition();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddPosition }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "addPosition")
    public JAXBElement<AddPosition> createAddPosition(AddPosition value) {
        return new JAXBElement<AddPosition>(_AddPosition_QNAME, AddPosition.class, null, value);
    }

    /**
     * Create an instance of {@link AddPositionResponse }
     */
    public AddPositionResponse createAddPositionResponse() {
        return new AddPositionResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddPositionResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "addPositionResponse")
    public JAXBElement<AddPositionResponse> createAddPositionResponse(AddPositionResponse value) {
        return new JAXBElement<AddPositionResponse>(_AddPositionResponse_QNAME, AddPositionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link AddressDto }
     */
    public AddressDto createAddressDto() {
        return new AddressDto();
    }

    /**
     * Create an instance of {@link AnnulateOrder }
     */
    public AnnulateOrder createAnnulateOrder() {
        return new AnnulateOrder();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnnulateOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "annulateOrder")
    public JAXBElement<AnnulateOrder> createAnnulateOrder(AnnulateOrder value) {
        return new JAXBElement<AnnulateOrder>(_AnnulateOrder_QNAME, AnnulateOrder.class, null, value);
    }

    /**
     * Create an instance of {@link AnnulateOrderResponse }
     */
    public AnnulateOrderResponse createAnnulateOrderResponse() {
        return new AnnulateOrderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnnulateOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "annulateOrderResponse")
    public JAXBElement<AnnulateOrderResponse> createAnnulateOrderResponse(AnnulateOrderResponse value) {
        return new JAXBElement<AnnulateOrderResponse>(_AnnulateOrderResponse_QNAME, AnnulateOrderResponse.class, null,
                value);
    }

    /**
     * Create an instance of {@link BillDto }
     */
    public BillDto createBillDto() {
        return new BillDto();
    }

    /**
     * Create an instance of {@link CreateOrder }
     */
    public CreateOrder createCreateOrder() {
        return new CreateOrder();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "createOrder")
    public JAXBElement<CreateOrder> createCreateOrder(CreateOrder value) {
        return new JAXBElement<CreateOrder>(_CreateOrder_QNAME, CreateOrder.class, null, value);
    }

    /**
     * Create an instance of {@link CreateOrderResponse }
     */
    public CreateOrderResponse createCreateOrderResponse() {
        return new CreateOrderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "createOrderResponse")
    public JAXBElement<CreateOrderResponse> createCreateOrderResponse(CreateOrderResponse value) {
        return new JAXBElement<CreateOrderResponse>(_CreateOrderResponse_QNAME, CreateOrderResponse.class, null, value);
    }

    /**
     * Create an instance of {@link DeletePosition }
     */
    public DeletePosition createDeletePosition() {
        return new DeletePosition();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeletePosition }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "deletePosition")
    public JAXBElement<DeletePosition> createDeletePosition(DeletePosition value) {
        return new JAXBElement<DeletePosition>(_DeletePosition_QNAME, DeletePosition.class, null, value);
    }

    /**
     * Create an instance of {@link DeletePositionResponse }
     */
    public DeletePositionResponse createDeletePositionResponse() {
        return new DeletePositionResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeletePositionResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "deletePositionResponse")
    public JAXBElement<DeletePositionResponse> createDeletePositionResponse(DeletePositionResponse value) {
        return new JAXBElement<DeletePositionResponse>(_DeletePositionResponse_QNAME, DeletePositionResponse.class,
                null, value);
    }

    /**
     * Create an instance of {@link GetActiveOrder }
     */
    public GetActiveOrder createGetActiveOrder() {
        return new GetActiveOrder();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getActiveOrder")
    public JAXBElement<GetActiveOrder> createGetActiveOrder(GetActiveOrder value) {
        return new JAXBElement<GetActiveOrder>(_GetActiveOrder_QNAME, GetActiveOrder.class, null, value);
    }

    /**
     * Create an instance of {@link GetActiveOrderResponse }
     */
    public GetActiveOrderResponse createGetActiveOrderResponse() {
        return new GetActiveOrderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetActiveOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getActiveOrderResponse")
    public JAXBElement<GetActiveOrderResponse> createGetActiveOrderResponse(GetActiveOrderResponse value) {
        return new JAXBElement<GetActiveOrderResponse>(_GetActiveOrderResponse_QNAME, GetActiveOrderResponse.class,
                null, value);
    }

    /**
     * Create an instance of {@link GetOrder }
     */
    public GetOrder createGetOrder() {
        return new GetOrder();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getOrder")
    public JAXBElement<GetOrder> createGetOrder(GetOrder value) {
        return new JAXBElement<GetOrder>(_GetOrder_QNAME, GetOrder.class, null, value);
    }

    /**
     * Create an instance of {@link GetOrderResponse }
     */
    public GetOrderResponse createGetOrderResponse() {
        return new GetOrderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getOrderResponse")
    public JAXBElement<GetOrderResponse> createGetOrderResponse(GetOrderResponse value) {
        return new JAXBElement<GetOrderResponse>(_GetOrderResponse_QNAME, GetOrderResponse.class, null, value);
    }

    /**
     * Create an instance of {@link GetOrders }
     */
    public GetOrders createGetOrders() {
        return new GetOrders();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrders }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getOrders")
    public JAXBElement<GetOrders> createGetOrders(GetOrders value) {
        return new JAXBElement<GetOrders>(_GetOrders_QNAME, GetOrders.class, null, value);
    }

    /**
     * Create an instance of {@link GetOrdersResponse }
     */
    public GetOrdersResponse createGetOrdersResponse() {
        return new GetOrdersResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrdersResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getOrdersResponse")
    public JAXBElement<GetOrdersResponse> createGetOrdersResponse(GetOrdersResponse value) {
        return new JAXBElement<GetOrdersResponse>(_GetOrdersResponse_QNAME, GetOrdersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link GetStatus }
     */
    public GetStatus createGetStatus() {
        return new GetStatus();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStatus }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getStatus")
    public JAXBElement<GetStatus> createGetStatus(GetStatus value) {
        return new JAXBElement<GetStatus>(_GetStatus_QNAME, GetStatus.class, null, value);
    }

    /**
     * Create an instance of {@link GetStatusResponse }
     */
    public GetStatusResponse createGetStatusResponse() {
        return new GetStatusResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStatusResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "getStatusResponse")
    public JAXBElement<GetStatusResponse> createGetStatusResponse(GetStatusResponse value) {
        return new JAXBElement<GetStatusResponse>(_GetStatusResponse_QNAME, GetStatusResponse.class, null, value);
    }

    /**
     * Create an instance of {@link IllegalNameException }
     */
    public IllegalNameException createIllegalNameException() {
        return new IllegalNameException();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IllegalNameException }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "IllegalNameException")
    public JAXBElement<IllegalNameException> createIllegalNameException(IllegalNameException value) {
        return new JAXBElement<IllegalNameException>(_IllegalNameException_QNAME, IllegalNameException.class, null,
                value);
    }

    /**
     * Create an instance of {@link OrderDto }
     */
    public OrderDto createOrderDto() {
        return new OrderDto();
    }

    /**
     * Create an instance of {@link OrderException }
     */
    public OrderException createOrderException() {
        return new OrderException();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderException }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "OrderException")
    public JAXBElement<OrderException> createOrderException(OrderException value) {
        return new JAXBElement<OrderException>(_OrderException_QNAME, OrderException.class, null, value);
    }

    /**
     * Create an instance of {@link OrderNotExistsException }
     */
    public OrderNotExistsException createOrderNotExistsException() {
        return new OrderNotExistsException();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderNotExistsException }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "OrderNotExistsException")
    public JAXBElement<OrderNotExistsException> createOrderNotExistsException(OrderNotExistsException value) {
        return new JAXBElement<OrderNotExistsException>(_OrderNotExistsException_QNAME, OrderNotExistsException.class,
                null, value);
    }

    /**
     * Create an instance of {@link OrderPositionDto }
     */
    public OrderPositionDto createOrderPositionDto() {
        return new OrderPositionDto();
    }

    /**
     * Create an instance of {@link ReleaseOrder }
     */
    public ReleaseOrder createReleaseOrder() {
        return new ReleaseOrder();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReleaseOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "releaseOrder")
    public JAXBElement<ReleaseOrder> createReleaseOrder(ReleaseOrder value) {
        return new JAXBElement<ReleaseOrder>(_ReleaseOrder_QNAME, ReleaseOrder.class, null, value);
    }

    /**
     * Create an instance of {@link ReleaseOrderResponse }
     */
    public ReleaseOrderResponse createReleaseOrderResponse() {
        return new ReleaseOrderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReleaseOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "releaseOrderResponse")
    public JAXBElement<ReleaseOrderResponse> createReleaseOrderResponse(ReleaseOrderResponse value) {
        return new JAXBElement<ReleaseOrderResponse>(_ReleaseOrderResponse_QNAME, ReleaseOrderResponse.class, null,
                value);
    }

    /**
     * Create an instance of {@link SetStatus }
     */
    public SetStatus createSetStatus() {
        return new SetStatus();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetStatus }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "setStatus")
    public JAXBElement<SetStatus> createSetStatus(SetStatus value) {
        return new JAXBElement<SetStatus>(_SetStatus_QNAME, SetStatus.class, null, value);
    }

    /**
     * Create an instance of {@link SetStatusResponse }
     */
    public SetStatusResponse createSetStatusResponse() {
        return new SetStatusResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetStatusResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "setStatusResponse")
    public JAXBElement<SetStatusResponse> createSetStatusResponse(SetStatusResponse value) {
        return new JAXBElement<SetStatusResponse>(_SetStatusResponse_QNAME, SetStatusResponse.class, null, value);
    }

    /**
     * Create an instance of {@link SOAPException }
     */
    public SOAPException createSOAPException() {
        return new SOAPException();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SOAPException }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "SOAPException")
    public JAXBElement<SOAPException> createSOAPException(SOAPException value) {
        return new JAXBElement<SOAPException>(_SOAPException_QNAME, SOAPException.class, null, value);
    }

    /**
     * Create an instance of {@link SubmitOrder }
     */
    public SubmitOrder createSubmitOrder() {
        return new SubmitOrder();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubmitOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "submitOrder")
    public JAXBElement<SubmitOrder> createSubmitOrder(SubmitOrder value) {
        return new JAXBElement<SubmitOrder>(_SubmitOrder_QNAME, SubmitOrder.class, null, value);
    }

    /**
     * Create an instance of {@link SubmitOrderResponse }
     */
    public SubmitOrderResponse createSubmitOrderResponse() {
        return new SubmitOrderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubmitOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "submitOrderResponse")
    public JAXBElement<SubmitOrderResponse> createSubmitOrderResponse(SubmitOrderResponse value) {
        return new JAXBElement<SubmitOrderResponse>(_SubmitOrderResponse_QNAME, SubmitOrderResponse.class, null, value);
    }

    /**
     * Create an instance of {@link UpdateOrder }
     */
    public UpdateOrder createUpdateOrder() {
        return new UpdateOrder();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "updateOrder")
    public JAXBElement<UpdateOrder> createUpdateOrder(UpdateOrder value) {
        return new JAXBElement<UpdateOrder>(_UpdateOrder_QNAME, UpdateOrder.class, null, value);
    }

    /**
     * Create an instance of {@link UpdateOrderResponse }
     */
    public UpdateOrderResponse createUpdateOrderResponse() {
        return new UpdateOrderResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "updateOrderResponse")
    public JAXBElement<UpdateOrderResponse> createUpdateOrderResponse(UpdateOrderResponse value) {
        return new JAXBElement<UpdateOrderResponse>(_UpdateOrderResponse_QNAME, UpdateOrderResponse.class, null, value);
    }

    /**
     * Create an instance of {@link UpdatePosition }
     */
    public UpdatePosition createUpdatePosition() {
        return new UpdatePosition();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdatePosition }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "updatePosition")
    public JAXBElement<UpdatePosition> createUpdatePosition(UpdatePosition value) {
        return new JAXBElement<UpdatePosition>(_UpdatePosition_QNAME, UpdatePosition.class, null, value);
    }

    /**
     * Create an instance of {@link UpdatePositionResponse }
     */
    public UpdatePositionResponse createUpdatePositionResponse() {
        return new UpdatePositionResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdatePositionResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.order.appe.hslu.ch/", name = "updatePositionResponse")
    public JAXBElement<UpdatePositionResponse> createUpdatePositionResponse(UpdatePositionResponse value) {
        return new JAXBElement<UpdatePositionResponse>(_UpdatePositionResponse_QNAME, UpdatePositionResponse.class,
                null, value);
    }

    /**
     * Create an instance of {@link UserDto }
     */
    public UserDto createUserDto() {
        return new UserDto();
    }

}
